org.apache.ignite.internal.processors.hadoop

## Class HadoopNoopHelper

- java.lang.Object
- - org.apache.ignite.internal.processors.hadoop.HadoopNoopHelper

All Implemented Interfaces:
  HadoopHelper

    public class HadoopNoopHelper
    extends Object
    implements HadoopHelper

Noop Hadoop Helper implementation.

### Constructor Summary

Constructors
Constructor and Description
`HadoopNoopHelper(GridKernalContext ctx)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close helper.
`HadoopClassLoader` `commonClassLoader()` Get common Hadoop class loader.
`boolean` `isNoOp()`
`@Nullable InputStream` `loadClassBytes(ClassLoader ldr, String clsName)`
`byte[]` `loadReplace(InputStream in, String originalName, String replaceName)` Load special replacement and impersonate.
`String` `workDirectory()` Get work directory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HadoopNoopHelper

    public HadoopNoopHelper(GridKernalContext ctx)

Constructor.

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### isNoOp

    public boolean isNoOp()

Specified by:
  `isNoOp` in interface `HadoopHelper`
Returns:
  Whether this is no-op implementation.

#### commonClassLoader

    public HadoopClassLoader commonClassLoader()

Get common Hadoop class loader.

Specified by:
  `commonClassLoader` in interface `HadoopHelper`
Returns:
  Common Hadoop class loader.

#### loadReplace

    public byte[] loadReplace(InputStream in,
                              String originalName,
                              String replaceName)

Load special replacement and impersonate.

Specified by:
  `loadReplace` in interface `HadoopHelper`
Parameters:
  `in` - Input stream.
  `originalName` - Original class name.
  `replaceName` - Replacer class name.
Returns:
  Result.

#### loadClassBytes

    @Nullable
    public @Nullable InputStream loadClassBytes(ClassLoader ldr,
                                                          String clsName)

Specified by:
  `loadClassBytes` in interface `HadoopHelper`
Parameters:
  `ldr` - Loader.
  `clsName` - Class.
Returns:
  Input stream.

#### workDirectory

    public String workDirectory()

Get work directory.

Specified by:
  `workDirectory` in interface `HadoopHelper`
Returns:
  Work directory.

#### close

    public void close()

Close helper.

Specified by:
  `close` in interface `HadoopHelper`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020